{ stdenv, fetchurl, pkgconfig, flex, bison, libxslt
, glib, libiconvOrEmpty, libintlOrEmpty
}:

let
  major = "0.26";
  minor = "1";
  sha256 = "8407abb19ab3a58bbfc0d288abb47666ef81f76d0540258c03965e7545f59e6b";
in
stdenv.mkDerivation rec {
  name = "vala-${major}.${minor}";

  meta = {
    description = "Compiler for GObject type system";
    homepage = "http://live.gnome.org/Vala";
    license = stdenv.lib.licenses.lgpl21Plus;
    platforms = stdenv.lib.platforms.unix;
    maintainers = with stdenv.lib.maintainers; [ antono lethalman ];
  };

  src = fetchurl {
    url = "mirror://gnome/sources/vala/${major}/${name}.tar.xz";
    inherit sha256;
  };

  nativeBuildInputs = [ pkgconfig flex bison libxslt ];

  buildInputs = [ glib ]
    ++ libiconvOrEmpty
    ++ libintlOrEmpty;
}
